import { SimpleLocalClient } from '../../core/index.js';
import type { IYamahaConfig } from './yamaha.types.js';
import { yamahaProfile } from './yamaha.types.js';

export class YamahaClient extends SimpleLocalClient<IYamahaConfig> {
  constructor(configArg: IYamahaConfig) {
    super(yamahaProfile, configArg);
  }
}
